# Uses of Interface
org.eclipse.jface.text.IDocumentPartitioningListener

Packages that use IDocumentPartitioningListener
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of IDocumentPartitioningListener in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return types with arguments of type IDocumentPartitioningListener
Modifier and Type
Method
Description
`protected List<IDocumentPartitioningListener>`
AbstractDocument.`getDocumentPartitioningListeners()`
Returns the document's partitioning listeners.
Methods in org.eclipse.jface.text with parameters of type IDocumentPartitioningListener
Modifier and Type
Method
Description
`void`
AbstractDocument.`addDocumentPartitioningListener(IDocumentPartitioningListener listener)`
`void`
IDocument.`addDocumentPartitioningListener(IDocumentPartitioningListener listener)`
Registers the document partitioning listener with the document.
`void`
AbstractDocument.`removeDocumentPartitioningListener(IDocumentPartitioningListener listener)`
`void`
IDocument.`removeDocumentPartitioningListener(IDocumentPartitioningListener listener)`
Removes the listener from this document's list of document partitioning listeners.